Logo
OpenScaler

Get region

GET
/v1/regions/{id}

Retrieve a single region by ID, including country display metadata.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

id*string

Region identifier.

Response Body

application/json

application/json

text/pain

application/json

application/json

application/json

curl -X GET "https://example.com/v1/regions/string"
{  "id": "alg1",  "country": "Algeria",  "country_id": "dz",  "flagUrl": "/static/img/flags/dz.png",  "name": "Algiers Zone A"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}